// 倒计时
export const useCountDown = () => {
  let timer = ref(0);

  // pause 停止  resume继续
  const { pause, resume } = useIntervalFn(
    () => {
      timer.value--;

      if (timer.value <= 0) {
        pause();
      }
    },
    1000,
    {
      // 首次是否自动启动定时任务：true（默认值，自动启动），false，不需要自动启动
      immediate: false,
      // 是否延时执行定时任务（false(默认值)，不延时；true表示延时）
      immediateCallback: false,
    }
  );
  const start = (num) => {
    console.log("start", num);
    // 赋值
    timer.value = num;
    console.log("方法timer", timer.value);
    // 调用
    resume();
  };
  return { timer, start };
};
